# Event Handling

### Custom Event Handler

UIKit emits events that can be intercepted and processed by custom logic.&#x20;

For example, you might want to know when a user taps a user avatar. You can intercept `onClickUserAvatar`event and define your desired behavior.&#x20;

### **Supported events**

| Event                  | Parameter                 | Condition                                               |
| ---------------------- | ------------------------- | ------------------------------------------------------- |
| onClickUserAvatar      | user: AmityUser           | community avatar or community display name is tapped    |
| onClickMessage         | community: AmityCommunity | message button on community page is tapped              |
| onClickEditProfile     | community: AmityCommunity | edit profile button on community page is tapped         |
| onClickEditUserProfile | userId: String            | edit user profile button on user profile page is tapped |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.social.plus/social-plus-uikit/uikit-3/android/community/overriding-uikit-behaviour/event-handling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
